/*
    Make any css specific to a dealer in here.
 */

#logo {
    max-width: 360px;
    /* min-width: 160px; */
    /* min-height: 60px; */
}
.pg-grid.sidebar-on-left .pg-sidebar {
    background-color: #fff;
    border-radius: var(--border-radius);
    padding: 14px;
}
.sky-form .button[data-action=submit] {
    box-shadow: inset 0 0 0 2px #e6c005;
}
.sky-form .button[data-action=submit]:hover {
    box-shadow: inset 0 0 0 2px #2034a8;
}
.sky-form .button:active:before, .sky-form .button:focus:before, .sky-form .button:hover:before {
    opacity: 0;
}
.card-list .dx-slider .dx-slider-item {
    box-shadow: 0px 0px 1px 0px #00000073, 2px 2px 3px -2px #00000073;
}
.card-list .dx-slider .dx-slider-item:hover {
    box-shadow: 0px 0px 1px 0px #00000073, 2px 2px 5px -2px #00000099, 0px 0px 8px -1px #0000007d;
}
.home-page-wrapper .full-width-home-section:nth-child(even) {
    background-color: transparent;
}
.home-page-wrapper .full-width-home-section:nth-child(odd) {
    background-color: var(--bg-primary-overlay);
}

@keyframes rotating {
    from {transform: translate(-50%, 50%) rotate(0deg);}
    to {transform: translate(-50%, 50%) rotate(360deg);}
}

#register-form  {
    max-width: 400px;
    margin: auto;
}

#register-form .sky-form .flex-fieldset-grid>* {
    margin: 0px 0;
}

#register-form .sky-form fieldset:before {
    display: none;
}
#register-form .sky-form fieldset {
    padding-top: 4px;
    padding-bottom: 4px;
}
#register-form .sky-form .section-title .section-sub_heading {
    font-size: 88%;
}

.carfax-pinwheel-animation-wrapper {
    /* min-height: 430px; */
    overflow: hidden;
    position: relative;
}
.carfax-pinwheel-animation, .square-hero-row .image-content > .carfax-pinwheel-animation {
    position: absolute;
    bottom: 50%;
    left: 66%;
    width: 200%;
    animation: rotating 60s linear infinite;
    background-color: #ffe567;
    z-index: 0;
}
.carfax-pinwheel-animation, .square-hero-row .image-content > .carfax-pinwheel-animation.free-shipping {
    background-color: #ffe567;
}
.carfax-pinwheel-front {
    position: relative;
    z-index: 1;
}
a.link-arrow {
    font-weight: 600;
    font-size: 110%;
    display: flex;
    justify-content: center;
    align-items: center;
}
a.link-arrow:after {
    content: "\edbb";
    font-family: 'DxSiteIcons';
    margin-left: 6px;
    font-size: 90%;
}
a.link-arrow:hover, a.link-arrow:active, a.link-arrow:focus {

}
.dx-content-popper {
    position: fixed;
    z-index: 9999999999;
}

.card-list .single-card .flex-icon-row .icon-col button {
    display: block;
    width: auto;
    padding: 0;
    border: 2px solid #e7e7e7;
    border-radius: 5px;
    overflow: unset;
    background-color: #f1f1f1;
    transition: .12s all ease-out;
    flex-grow: 1;
}
.card-list .single-card .flex-icon-row .icon-col img {
    height: auto;
    width: auto;
    filter: none;
    aspect-ratio: 4 / 3;
}

@media (max-width: 1219px) and (min-width:992px) {
    nav.tm_navbar li a,nav.tm_navbar li.open>a {

    }
}
dx-maps .mapboxgl-popup > .fade-inout {
    opacity: 0;
    transform: translateY(30px);
    transition: none;
}
dx-maps .mapboxgl-popup > .fade-inout.fade-in  {
    opacity: 1;
    transform: translateY(0px);
    transition: .2s all ease;
}
dx-maps .mapboxgl-popup > .fade-inout.fade-in.fade-out ,.mapboxgl-popup > .fade-inout.fade-out {
    opacity: 0;
    transform: translateY(30px);
    transition: .2s all ease;
}
span.nav-menu-icon-row {
    display: flex;
    align-items: center;
}

span.nav-menu-icon-row img.nav-menu-icon {
    width: 24px;
    margin-right: 10px;
}
#dx-mobile-menu span.nav-menu-icon-row img.nav-menu-icon {
    filter: invert(1);
}
.footer-links a:hover {
    color: #fff;
    background-color: #0e1958;
    text-shadow: none;
}
.footer-links .footer-link-inline a{
    padding-left: 10px;
}

.footer-links .footer-link-inline a:before {
    display: none;
}
ul.free-shipping-states-list {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    max-height: 400px;
    padding-left: 15px;
}
.add-background-gradient {
    position: relative;
    overflow: hidden;
}
.add-background-gradient:before {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    content: '';
    background: var(--bg-primary);
    background: radial-gradient(circle at 50%, rgba(26,75,139,1) 53%, rgba(68,136,224,1) 130%);
}
#headercontainer:before {
    background: var(--bg-primary);
    background: radial-gradient(circle at 75%, rgba(68,136,224,1) -22%, rgba(26,75,139,1) 80%);
}

.very-bottom-footer:before {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    content: '';
    background: var(--bg-primary);
    background: radial-gradient(circle at 50% 55%, rgba(26,75,139,1) 25%, rgba(68,136,224,1) 200%);
    display: block;
}
.btn-primary:active, .btn-primary:focus, .btn-primary:hover, .open .dropdown-toggle.btn-primary {
    color: var(--text-secondary);
    text-shadow: none;
    background-color: var(--bg-secondary);
}
span.new-used-letter-icon.dx-tooltip.nu-n\/a, span.new-used-letter-icon.dx-tooltip.nu-n\/a+span {
    visibility: hidden;
}
body[data-view="vehiclemain"] .dx-gb-img-wrapper[data-type="youtube_embed"]:before {
    width: 90px;
}
.dx-gb-img-wrapper[data-type="youtube_embed"]:before {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    content: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAyMCAxNCI+PGRlZnM+PHN0eWxlPi5he2ZpbGw6I2ZmZjt9LmJ7ZmlsbDpyZWQ7fTwvc3R5bGU+PC9kZWZzPjxyZWN0IGNsYXNzPSJhIiB4PSI0IiB5PSIzIiB3aWR0aD0iMTIiIGhlaWdodD0iOSIvPjxwYXRoIGNsYXNzPSJiIiBkPSJNOCwxMGw1LjE5LTNMOCw0djZNMTkuNTYsMi4xN2ExMC4zNCwxMC4zNCwwLDAsMSwuMjgsMS45Yy4wNy44LjEsMS40OS4xLDIuMDlMMjAsN2ExOS44NywxOS44NywwLDAsMS0uNDQsNC44MywyLjM0LDIuMzQsMCwwLDEtMS43MywxLjczLDE0LjEsMTQuMSwwLDAsMS0yLjY1LjI4Yy0xLjMuMDctMi40OS4xLTMuNTkuMUwxMCwxNGE0MC45Myw0MC45MywwLDAsMS03LjgzLS40NEEyLjM0LDIuMzQsMCwwLDEsLjQ0LDExLjgzYTEwLjM0LDEwLjM0LDAsMCwxLS4yOC0xLjljLS4wNy0uOC0uMS0xLjQ5LS4xLTIuMDlMMCw3QTE5Ljg3LDE5Ljg3LDAsMCwxLC40NCwyLjE3LDIuMzQsMi4zNCwwLDAsMSwyLjE3LjQ0LDE0LjEsMTQuMSwwLDAsMSw0LjgyLjE2QzYuMTIuMDksNy4zMS4wNiw4LjQxLjA2TDEwLDBhNDAuOTMsNDAuOTMsMCwwLDEsNy44My40NEEyLjM0LDIuMzQsMCwwLDEsMTkuNTYsMi4xN1oiLz48L3N2Zz4);
    color: #c62828;
    width: 48px;
    filter: drop-shadow(0px 0px 2px rgba(0,0,0,.6));
}
.dx-gb-img-wrapper[data-type="youtube_embed"]:after {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    content: 'Play Video';
    color: #ffffff;
    margin-top: 58px;
    font-weight: 900;
    font-size: 40px;
    font-family: var(--text-heading-family);
    text-shadow: 0 0 2px #000, 0 0 4px #000, 0 0 5px #000, 0 0 6px #000, 0 0 10px #000, 0 0 12px #000;
}
.dx-gb-img-wrapper[data-type="youtube_embed"]:hover:after {

    color: #FFEB3B;
}
.dx-gb-img-wrapper[data-type="youtube_embed"] {
    background-color: #d0d0d0;
}
a.btnbar.btn-primary:hover,
a.btnbar.btn-primary:focus,
a.btnbar.btn-primary:active {
    padding-left: 14px;
    background-color: var(--bg-secondary-overlay);
}
#vansection .btnbar.btn.btn-primary[href="#video"] {
    padding-left: 54px;
}
#vansection .btnbar.btn.btn-primary[href="#video"] > i {
    font-size: 36px;
    vertical-align: middle;
    position: absolute;
    left: 8px;
    top: 50%;
    left: 8px;
    padding-left: 0;
    color: #ff0000;
    transform: translateY(-50%);
}
#headercontainer .my-location-selector .my-store-label {
    display: none;
}

#headercontainer .call-or-text-label {
    position: absolute;
    top: -6px;
    font-size: 88%;
    font-weight: 800;
    animation: animate-call-or-text 1s ease infinite;
    line-height: 1;
    padding: 2px 4px;
    border-radius: 4px;
}
body[data-view="vehiclemain"] .vehicle-description-wrapper {
    white-space: pre-line;
}
.very-bottom-footer.dark-bg {
    padding-bottom: 300px;
}
.home-page-wrapper .card-list .single-card .over-tags {
    display: none;
}
.items-toolbar button.icon-btn.dx-filters-toggle-btn:after {
    content: 'Filters';
    margin: 0 8px;
}
.items-toolbar button.icon-btn.dx-filters-toggle-btn .dx-arrow-indicator {
    margin-top: 4px;
}
@keyframes animate-call-or-text {
    0% {background-color: #fff;}
    25% {background-color: #fff;}
    75% {background-color: var(--bg-secondary);}
    65% {/* background-color: var(--bg-secondary); */}
}

nav.tm_navbar li a, nav.tm_navbar li.open  a{
    font-size: 2.1rem;
    padding: 6px 5px;
}
.dx-responsive-banner .banner-image.with-video.video-ready .plyr--video video {
    object-position: bottom;
}
.dx-responsive-banner .plyr .click-for-sound-btn svg {
    fill: var(--text-secondary);
}
.dx-responsive-banner .plyr .click-for-sound-btn:hover svg {
    fill: var(--text-primary);
}
.dx-content-popper .dx-content-popper-shell {
    /*height: 750px;*/
}
@media (max-width: 1250px) {

    nav.tm_navbar li a, nav.tm_navbar li.open a {
        font-size: 1.9rem;
        padding: 6px 4px;
    }

}
@media (max-width: 1120px) {
    ul.free-shipping-states-list {
        max-height: 500px;
    }
    nav.tm_navbar li a, nav.tm_navbar li.open  a {
        font-size: 1.7rem;
        padding: 6px 4px;
    }

}
@media (max-width: 920px) {

    nav.tm_navbar li a, nav.tm_navbar li.open a {
        font-size: 1.5rem;
        padding: 6px 3px;
    }
    .dx-responsive-banner.border-video-mobile .banner-image.with-video > .plyr--video .plyr__video-wrapper {
        border: solid 3px #ffe548;
    }


}
@media (max-width: 740px) {
    ul.free-shipping-states-list {
        max-height: 768px;
    }

}
@media (max-width: 767px) {
    #logo {
        max-width: 230px;
        /* min-width: 110px; */
        /* min-height: unset; */
    }
    .header-box-color div.mobile-menu-wrapper a i {
        left: unset;
        top: unset;
        transform: unset;
    }
    .header-box-color div.mobile-menu-wrapper a {
        height: 46px;
        min-width: 48px;
        width: unset;
        line-height: 46px;
        margin-left: 10px;
        padding: 0 10px;
        text-transform: uppercase;
        font-stretch: 70%;
        display: flex;
        flex-wrap: nowrap;
        flex-direction: row;
        align-items: center;
        justify-content: center; 
        font-size: 1.8rem;
        font-weight: 500;
        font-family: var(--text-heading-family);
        border-radius: 2px;
        text-shadow: 1px 1px 2px #0000004a;
        box-shadow: inset -2px -2px 4px -2px #000000c7, inset 2px 2px 4px -2px #81c7ff63;
        border: none;
    }
    .items-toolbar button.icon-btn.dx-filters-toggle-btn.show-filters {
        padding-right: 6px;
    }
    .items-toolbar button.icon-btn.dx-filters-toggle-btn.show-filters .dx-arrow-indicator {
        display: none;
    }
    .items-toolbar button.icon-btn.dx-filters-toggle-btn.show-filters:after {
        content: 'Filters';
        margin: 0 10px;
    }



}







/*#headercontainer {
    padding-bottom: 0 !important;
}

#headercontainer:before {
    display: none;
}*/

.top-banner-sale {
    height: 52px;
    background-color: rgb(68, 136, 224);
    background: radial-gradient(circle at 75%, rgba(68, 136, 224, 1) -22%, rgba(26, 75, 139, 1) 80%);
    position: relative;
}
body[data-path="/current-offers"] .top-banner-sale {
    display: none;
}
.top-banner-sale .banners-line {
    display: flex;
    flex-direction: row;
    height: 100%;
    align-items: center;
    align-content: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
}
.top-banner-sale .banners-line svg#site-banner {
    max-height: 82%;
    margin-right: 20px;
    transition: .4s all cubic-bezier(0.18, 0.89, 0.32, 1.28);
    transform: translateX(-200px);
    overflow: visible;
    opacity: 0;
}
.top-banner-sale.slide-in .banners-line svg#site-banner {
    transform: translateX(0px);
    opacity: 1;
}
.top-banner-sale .banners-line svg#site-banner-button {
    height: 100%;
    /* padding-left: 20px; */
    width: auto;
    /* display: block; */
    /* vertical-align: bottom; */
}
.top-banner-sale .banners-line .top-banner-button {
    display: block;
    height: 100%;
    margin-left: 20px;
    transition: .4s all cubic-bezier(0.18, 0.89, 0.32, 1.28) .4s;
    transform: translateX(200px);
    opacity: 0;
}
.top-banner-sale.slide-in .banners-line .top-banner-button {
    transform: translateX(0px);
    opacity: 1;
}
.top-banner-sale .banners-line #site-banner .f{
    fill:#fff;
}
.top-banner-sale .banners-line #site-banner .i {
    fill:#ffe046;
    animation: animate-no-payments 1s ease infinite;
}
@keyframes animate-no-payments {
    0% {
        fill: #fff8d3;
        transform: scale(1.04) translate(-36px, -4px);
    }
    30% {
        fill: #ffe046;
        transform: scale(1) translate(0px, 0px);

    }
    70% {
        fill: #ffe046;
        transform: scale(1) translate(0px, 0px);

    }
    100% {
        fill: #fff8d3;
        transform: scale(1.04) translate(-36px, -4px);
    }
}

.top-banner-sale .banners-line .top-banner-button #site-banner-button .b {
    fill:#fff;
    opacity: 0.8;
}
.top-banner-sale .banners-line .top-banner-button:hover #site-banner-button .b {
    opacity: 1;
}
@media (max-width: 768px) {
    .top-banner-sale .banners-line  {
        /* align-content: flex-end; */
        /* margin-top: 0px; */
    }
    .top-banner-sale .banners-line svg#site-banner {
        max-height: 68%;
        margin-right: 10px;
        margin-top: 4px;
    }
    .top-banner-sale .banners-line .top-banner-button {
        height: 100%;
        margin-left: 10px;
    }

}
@media (max-width: 440px) {
    .top-banner-sale .banners-line svg#site-banner {
        max-height: 64%;
        margin-right: 10px;
    }
    .top-banner-sale .banners-line .top-banner-button {
        height: 88%;
        margin-left: 10px;
    }

}
@media (max-width: 330px) {
    .top-banner-sale .banners-line svg#site-banner {
        max-height: 48%;
        margin-right: 10px;
    }
    .top-banner-sale .banners-line .top-banner-button {
        height: 90%;
        margin-left: 10px;
    }

}